Bug 1059514 (CVE-2014-0040) - CVE-2014-0040 OpenStack openstack-heat-templates: use of HTTP to download signing keys/code
Summary: CVE-2014-0040 OpenStack openstack-heat-templates: use of HTTP to download sig...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-0040
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1059525 1059526
Blocks: 1059524
TreeView+ depends on / blocked
 
Reported: 2014-01-30 03:53 UTC by Kurt Seifried
Modified: 2021-02-17 06:55 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-29 23:30:45 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0579 0 normal SHIPPED_LIVE Low: openstack-heat-templates security update 2014-05-30 00:26:58 UTC

Description Kurt Seifried 2014-01-30 03:53:21 UTC
There are a number of yum repositories that make connections via http (should 
be https). Also, signing keys can be downloaded over http instead of https. 

External reference:
https://bugs.launchpad.net/heat-templates/+bug/1267635
https://github.com/openstack/heat-templates/

Acknowledgements:

This issue was discovered by Grant Murphy of the Red Hat Product Security Team.

Comment 3 errata-xmlrpc 2014-05-29 20:34:30 UTC
This issue has been addressed in following products:

  OpenStack 4 for RHEL 6

Via RHSA-2014:0579 https://rhn.redhat.com/errata/RHSA-2014-0579.html


Note You need to log in before you can comment on or make changes to this bug.